package com.gic.enterprise.constant;

/**
 * 订单状态
 * @ClassName: BillingOrderStatusEnum
 * @Description:
 * @author zhiwj
 * @date 2019/8/14 16:23
 */
public enum BillingOrderStatusEnum {

    WAIT_PAY(0, "待支付"),
    AUDITING(1, "审核中"),
    CLOSE(2, "已关闭"),
    AUDIT_FAIL(3, "审核失败"),
    FINISH(4, "已完成"),
    ;
    private Integer code;
    private String msg;

    BillingOrderStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
