package com.gic.enterprise.constant;
/**
 * 未开票收据生成类型
 * @ClassName: BuyTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 3:28 PM 
 */
public enum  BuyTypeEnum {
    BUY_SHORT_MESSAGE_PACKAGE(2, "短信套餐包购买"),
    BALANCE_RECHARGE(1, "商户余额充值");

    private int code;
    private String message;

    private BuyTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public static String getMessageByCode(Integer code) {
        if (code == null) {
            return "未知";
        }
        for (BuyTypeEnum typeEnum : values()) {
            if (code.intValue() == typeEnum.getCode()) {
                return typeEnum.getMessage();
            }
        }
        return "未知";
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
