package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 自定义菜单
 * @ClassName: AppletWechatMenuDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/28 10:49 AM 
 */
public class AppletWechatMenuDTO implements Serializable{
    private static final long serialVersionUID = -5089002865603939391L;
    /**
     * 菜单ID
     */
    private Integer menuId;

    /**
     * 企业id
     */
    private Integer enterpriseId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单类型（1：消息，2：外链，3：内链 4：小程序链接）
     */
    private Integer menuType;

    /**
     * 菜单编码，用于解析出URL
     */
    private String menuCode;

    /**
     * 链接地址
     */
    private String menuUrl;

    /**
     * 指定菜单对应的参数，针对门店活动、卡券展架、门店导航等选择指定门店的参数信息
     */
    private String menuUrlPara;

    /**
     * 消息对接字段
     */
    private String content;

    /**
     * 公众号key
     */
    private String appKey;

    /**
     * 父级菜单ID
     */
    private Integer parentMenuId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getMenuUrlPara() {
        return menuUrlPara;
    }

    public void setMenuUrlPara(String menuUrlPara) {
        this.menuUrlPara = menuUrlPara;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public Integer getParentMenuId() {
        return parentMenuId;
    }

    public void setParentMenuId(Integer parentMenuId) {
        this.parentMenuId = parentMenuId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
