package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 15:21
 */
public class SmsPackageRecordDTO implements Serializable {
    private static final long serialVersionUID = 1331721147911396588L;
    /**
     *
     */
    private Integer smsPackageRecordId;

    /**
     *
     */
    private String productName;

    /**
     * 数量
     */
    private Integer itemCount;

    /**
     * 单价
     */
    private Double itemFee;

    /**
     * 总费用
     */
    private Double totalFee;

    /**
     * 支付方式
     */
    private Integer payType=0;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Integer orderId;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    private Integer enterpriseId;

    /**
     * 1优惠券  2线下优惠
     */
    private Integer discountType;

    private String discountTypeName;

    /**
     * 优惠券名
     */
    private String cardName;

    /**
     * 优惠券金额
     */
    private Double cardAmount;

    /**
     * 实付金额
     */
    private Double paidFee;

    /**
     * 操作人
     */
    private Integer operatorId;

    /**
     * 操作人
     */
    private String operatorName;

    public Integer getSmsPackageRecordId() {
        return smsPackageRecordId;
    }

    public void setSmsPackageRecordId(Integer smsPackageRecordId) {
        this.smsPackageRecordId = smsPackageRecordId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getItemCount() {
        return itemCount;
    }

    public void setItemCount(Integer itemCount) {
        this.itemCount = itemCount;
    }

    public Double getItemFee() {
        return itemFee;
    }

    public void setItemFee(Double itemFee) {
        this.itemFee = itemFee;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public String getDiscountTypeName() {
        return discountTypeName;
    }

    public void setDiscountTypeName(String discountTypeName) {
        this.discountTypeName = discountTypeName;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public Double getCardAmount() {
        return cardAmount;
    }

    public void setCardAmount(Double cardAmount) {
        this.cardAmount = cardAmount;
    }

    public Double getPaidFee() {
        return paidFee;
    }

    public void setPaidFee(Double paidFee) {
        this.paidFee = paidFee;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }
}
