package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 微信会员配置
 * @ClassName: DataWechatMemberConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/17 9:47 AM 
 */
public class DataWechatMemberConfigDTO implements Serializable{
    private static final long serialVersionUID = 1683486475553056809L;

    /**
     *
     */
    private Integer wechatMemberConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 会员卡ID
     */
    private String memberCardArea;

    /**
     * 关联服务号，可以多选，英文逗号给开
     */
    private String relateService;

    /**
     * 关联小程序，可以多选，英文逗号隔开，与关联服务号是或的关系
     */
    private String relateWechat;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getWechatMemberConfigId() {
        return wechatMemberConfigId;
    }

    public DataWechatMemberConfigDTO setWechatMemberConfigId(Integer wechatMemberConfigId) {
        this.wechatMemberConfigId = wechatMemberConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataWechatMemberConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getMemberCardArea() {
        return memberCardArea;
    }

    public DataWechatMemberConfigDTO setMemberCardArea(String memberCardArea) {
        this.memberCardArea = memberCardArea;
        return this;
    }

    public String getRelateService() {
        return relateService;
    }

    public DataWechatMemberConfigDTO setRelateService(String relateService) {
        this.relateService = relateService;
        return this;
    }

    public String getRelateWechat() {
        return relateWechat;
    }

    public DataWechatMemberConfigDTO setRelateWechat(String relateWechat) {
        this.relateWechat = relateWechat;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DataWechatMemberConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataWechatMemberConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataWechatMemberConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
