package com.gic.enterprise.dto.market;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 * 商户订单列表
 * @ClassName: OrderGicDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/8 3:53 PM 
 */
public class OrderGicDTO implements Serializable{
    private static final long serialVersionUID = 505101979354335434L;

    private Long orderId;
    /**
     * 订单流水号
     */
    private String orderNum;
    /**
     * 商户id
     */
    private Long enterpriseId;
    /**
     * 商户名称
     */
    private String enterpriseName;
    /**
     * 1订购 2续费 3升级 4扩容
     */
    private Integer orderType;
    /**
     * 订单状态(1:待支付，2:已支付，3:已关闭 )
     */
    private Integer status;
    /**
     * 坏账金额
     */
    private BigDecimal badAmount;
    /**
     * 服务图片
     */
    private String imageUrl;
    /**
     * 名称
     */
    private String serveName;

    private Date createTime;
    /**
     * 操作人类型(1:商户,2:运维)
     */
    private Integer operType;
    private String operName;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(BigDecimal badAmount) {
        this.badAmount = badAmount;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOperType() {
        return operType;
    }

    public void setOperType(Integer operType) {
        this.operType = operType;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }
}
