package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

/**
 * 平台规则配置：分类
 * @ClassName: RuleClassifyDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/3 2:45 PM 
 */
public class RuleClassifyDTO implements Serializable{
    private static final long serialVersionUID = 6258321185779741516L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 分类
     */
    private String ruleName;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类描述
     */
    private String ruleDesc;

    /**
     * 分类备注
     */
    private String remark;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleClassifyDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleClassifyDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getClassifyIcon() {
        return classifyIcon;
    }

    public RuleClassifyDTO setClassifyIcon(String classifyIcon) {
        this.classifyIcon = classifyIcon;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public RuleClassifyDTO setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public RuleClassifyDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Integer getParentRuleId() {
        return parentRuleId;
    }

    public RuleClassifyDTO setParentRuleId(Integer parentRuleId) {
        this.parentRuleId = parentRuleId;
        return this;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public RuleClassifyDTO setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
        return this;
    }

    public String getRuleChain() {
        return ruleChain;
    }

    public RuleClassifyDTO setRuleChain(String ruleChain) {
        this.ruleChain = ruleChain;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public RuleClassifyDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleClassifyDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleClassifyDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
