package com.gic.enterprise.dto.rule;

import java.io.Serializable;
/**
 * 场景列表
 * @ClassName: RuleClassifySceneListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:06 PM 
 */
public class RuleClassifySceneListDTO implements Serializable{
    private static final long serialVersionUID = 4173483099328063614L;

    /**
     * 场景ID
     */
    private Integer ruleId;

    /**
     * 场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 场景描述
     */
    private String ruleDesc;

    /**
     * 场景备注
     */
    private String remark;

    /**
     * 场景手动输入名称
     */
    private String marketName;

    /**
     * 营销场景code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;



    /****************下面数据给商户规则配置使用**************/

    /**
     * 是否选中有效
     */
    private Boolean select;


    public Integer getRuleId() {
        return ruleId;
    }

    public RuleClassifySceneListDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleClassifySceneListDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public RuleClassifySceneListDTO setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public RuleClassifySceneListDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getMarketScene() {
        return marketScene;
    }

    public RuleClassifySceneListDTO setMarketScene(String marketScene) {
        this.marketScene = marketScene;
        return this;
    }

    public Integer getMarketObject() {
        return marketObject;
    }

    public RuleClassifySceneListDTO setMarketObject(Integer marketObject) {
        this.marketObject = marketObject;
        return this;
    }

    public Boolean getSelect() {
        return select;
    }

    public RuleClassifySceneListDTO setSelect(Boolean select) {
        this.select = select;
        return this;
    }

    public String getMarketName() {
        return marketName;
    }

    public RuleClassifySceneListDTO setMarketName(String marketName) {
        this.marketName = marketName;
        return this;
    }
}
