package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户规则和平台规则树关联
 * @ClassName: RuleRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:22 PM 
 */
public class RuleRelDTO implements Serializable{
    private static final long serialVersionUID = 6516187788186040350L;

    /**
     *
     */
    private Integer ruleRelId;

    /**
     * 商户规则ID
     */
    private Integer enterpriseRuleId;

    /**
     * 平台规则/分类/场景ID
     */
    private Integer ruleId;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getRuleRelId() {
        return ruleRelId;
    }

    public RuleRelDTO setRuleRelId(Integer ruleRelId) {
        this.ruleRelId = ruleRelId;
        return this;
    }

    public Integer getEnterpriseRuleId() {
        return enterpriseRuleId;
    }

    public RuleRelDTO setEnterpriseRuleId(Integer enterpriseRuleId) {
        this.enterpriseRuleId = enterpriseRuleId;
        return this;
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleRelDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public RuleRelDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleRelDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleRelDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
