package com.gic.enterprise.dto.wm;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟店铺卡券配置
 * @ClassName: WmStoreCouponConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/7 10:42 AM 
 */
public class WmStoreCouponConfigDTO implements Serializable{
    private static final long serialVersionUID = 452619999926042472L;

    /**
     *
     */
    private Integer couponConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 店铺主键ID，用于关联配置
     */
    private Integer wmMallStoreId;

    /**
     * gic卡券id
     */
    private String gicCouponId;

    /**
     * gic卡券名称
     */
    private String gicCouponName;

    /**
     * 微盟卡券ID
     */
    private String wmCouponId;

    /**
     * 微盟卡券名称
     */
    private String wmCouponName;

    /**
     * gic卡券过期时间，如果是固定时间，则有值，如果未null，说明有效
     */
    private Date gicCouponExpire;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getCouponConfigId() {
        return couponConfigId;
    }

    public WmStoreCouponConfigDTO setCouponConfigId(Integer couponConfigId) {
        this.couponConfigId = couponConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmStoreCouponConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreCouponConfigDTO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public String getGicCouponId() {
        return gicCouponId;
    }

    public WmStoreCouponConfigDTO setGicCouponId(String gicCouponId) {
        this.gicCouponId = gicCouponId;
        return this;
    }

    public String getWmCouponId() {
        return wmCouponId;
    }

    public WmStoreCouponConfigDTO setWmCouponId(String wmCouponId) {
        this.wmCouponId = wmCouponId;
        return this;
    }

    public Date getGicCouponExpire() {
        return gicCouponExpire;
    }

    public WmStoreCouponConfigDTO setGicCouponExpire(Date gicCouponExpire) {
        this.gicCouponExpire = gicCouponExpire;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WmStoreCouponConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmStoreCouponConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmStoreCouponConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getGicCouponName() {
        return gicCouponName;
    }

    public WmStoreCouponConfigDTO setGicCouponName(String gicCouponName) {
        this.gicCouponName = gicCouponName;
        return this;
    }

    public String getWmCouponName() {
        return wmCouponName;
    }

    public WmStoreCouponConfigDTO setWmCouponName(String wmCouponName) {
        this.wmCouponName = wmCouponName;
        return this;
    }
}
