package com.gic.enterprise.qo;

import com.gic.enterprise.dto.market.OrderBuyLicenseDTO;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: BuyForGicQO 
 * @Description:   gic基础应用订购
 * @author guojuxing 
 * @date 2019/9/29 9:54 AM 
 */
public class BuyForGicQO extends PageQO{
    private static final long serialVersionUID = -5928000074929663908L;

    private Long enterpriseId;

    //返回页面购买的金额
    private BigDecimal price;

    /**
     * 购买用户名称
     */
    private String name;
    private Long skuId;

    private Long couponLogId;
    /**
     * 1:购买 2：续费 3：升级 4：扩容
     */
    private Integer orderType;
    /**
     * 是否提交订单
     */
    private boolean commitFlag;

    private Map<String, Object> otherParams;

    private List<OrderBuyLicenseDTO> licenseList;

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getCouponLogId() {
        return couponLogId;
    }

    public void setCouponLogId(Long couponLogId) {
        this.couponLogId = couponLogId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public boolean isCommitFlag() {
        return commitFlag;
    }

    public void setCommitFlag(boolean commitFlag) {
        this.commitFlag = commitFlag;
    }

    public Map<String, Object> getOtherParams() {
        return otherParams;
    }

    public void setOtherParams(Map<String, Object> otherParams) {
        this.otherParams = otherParams;
    }

    public List<OrderBuyLicenseDTO> getLicenseList() {
        return licenseList;
    }

    public void setLicenseList(List<OrderBuyLicenseDTO> licenseList) {
        this.licenseList = licenseList;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
}
