package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.HelpCenterDTO;

import java.util.List;

public interface HelpCenterApiService {
    ServiceResponse<Page<HelpCenterDTO>> pageHelpCenter(String search, Integer mode, int pageNum, int pageSize);

    ServiceResponse<Integer> saveHelpCenter(HelpCenterDTO helpCenterDTO);

    ServiceResponse<Integer> delHelpCenter(Integer helpId);

    ServiceResponse<HelpCenterDTO> getHelpCenterById(Integer helpId);

    ServiceResponse<List<HelpCenterDTO>> listHelpCenter();
}
