package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingAuditResult;

public interface TabBillingAuditResultMapper {
    /**
     * 根据主键删除
     *
     * @param auditResultId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditResultId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingAuditResult record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingAuditResult record);

    /**
     * 根据主键查询
     *
     * @param auditResultId 主键
     * @return 实体对象
     */
    TabBillingAuditResult selectByPrimaryKey(Integer auditResultId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingAuditResult record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingAuditResult record);
}