package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabRiskMode;

public interface TabRiskModeMapper {
    /**
     * 根据主键删除
     *
     * @param riskModeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer riskModeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabRiskMode record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabRiskMode record);

    /**
     * 根据主键查询
     *
     * @param riskModeId 主键
     * @return 实体对象
     */
    TabRiskMode selectByPrimaryKey(Integer riskModeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabRiskMode record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabRiskMode record);

    TabRiskMode getLastWaitAuditByApplyUser(TabRiskMode riskMode);
}