package com.gic.enterprise.entity;

import java.util.Date;

/**
 * tab_billing_account_balance_record
 */
public class TabBillingAccountBalanceRecord {
    /**
     * 
     */
    private Integer accountBalanceRecordId;

    /**
     * 
     */
    private String productName;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 
     */
    private Integer status;

    /**
     * 产品类型  1:充值,2:短信套餐,3:服务,4:拓展包,5:套餐包
     */
    private Integer productType;

    /**
     * 账单类型  1:消费   2：退款
     */
    private Integer billType;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Integer orderId;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 
     */
    private String orderSerialNumber;

    /**
     * 请求方类型 
     */
    private String requestCode;

    /**
     * 应付金额
     */
    private Double fee;

    /**
     * 实付金额
     */
    private Double feePaid;

    /**
     * 优惠金额
     */
    private Double feeDiscount;

    /**
     * 操作人id
     */
    private Integer operatorId;

    /**
     * 操作人name
     */
    private String operatorName;

    public Integer getAccountBalanceRecordId() {
        return accountBalanceRecordId;
    }

    public void setAccountBalanceRecordId(Integer accountBalanceRecordId) {
        this.accountBalanceRecordId = accountBalanceRecordId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Double getFeePaid() {
        return feePaid;
    }

    public void setFeePaid(Double feePaid) {
        this.feePaid = feePaid;
    }

    public Double getFeeDiscount() {
        return feeDiscount;
    }

    public void setFeeDiscount(Double feeDiscount) {
        this.feeDiscount = feeDiscount;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }
}