package com.gic.enterprise.entity;

import java.util.Date;

/**
 * tab_data_generation_config
 */
public class TabDataGenerationConfig {
    /**
     * 
     */
    private Integer generationConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 档位 1:第一档 2:第二档...
     */
    private Integer ageLevel;

    /**
     * 第一个区间符号 1:小于等于 2:小于 3:大于等于 4:大于
     */
    private Integer firstSign;

    /**
     * 第一个区间值
     */
    private Integer ageFirstValue;

    /**
     * 第二个区间符号 1:小于等于 2:小于 3:大于等于 4:大于不一定有值（第一档和最后一档没有值）
     */
    private Integer secondSign;

    /**
     * 第二个区间值，不一定有值（第一档和最后一档没有值）
     */
    private Integer ageSecondValue;

    /**
     * 展示名称
     */
    private String description;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getGenerationConfigId() {
        return generationConfigId;
    }

    public TabDataGenerationConfig setGenerationConfigId(Integer generationConfigId) {
        this.generationConfigId = generationConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabDataGenerationConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getAgeLevel() {
        return ageLevel;
    }

    public TabDataGenerationConfig setAgeLevel(Integer ageLevel) {
        this.ageLevel = ageLevel;
        return this;
    }

    public Integer getFirstSign() {
        return firstSign;
    }

    public TabDataGenerationConfig setFirstSign(Integer firstSign) {
        this.firstSign = firstSign;
        return this;
    }

    public Integer getAgeFirstValue() {
        return ageFirstValue;
    }

    public TabDataGenerationConfig setAgeFirstValue(Integer ageFirstValue) {
        this.ageFirstValue = ageFirstValue;
        return this;
    }

    public Integer getSecondSign() {
        return secondSign;
    }

    public TabDataGenerationConfig setSecondSign(Integer secondSign) {
        this.secondSign = secondSign;
        return this;
    }

    public Integer getAgeSecondValue() {
        return ageSecondValue;
    }

    public TabDataGenerationConfig setAgeSecondValue(Integer ageSecondValue) {
        this.ageSecondValue = ageSecondValue;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public TabDataGenerationConfig setDescription(String description) {
        this.description = description;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public TabDataGenerationConfig setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabDataGenerationConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabDataGenerationConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}