package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabBillingCouponCard;
import com.github.pagehelper.Page;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: BillingCouponCardService
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 18:11
 */
public interface BillingCouponCardService {
    TabBillingCouponCard getNotExpiredCouponCardById(Integer couponCardId);

    Page<TabBillingCouponCard> pageBillingCouponCard(Integer enterpriseId, String startTime, String endTime);

    /**
     * 统计可使用的优惠券张数
     * @Title: countCoupon 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.lang.Integer 
      */
    Integer countCoupon(Integer enterpriseId);

    List<TabBillingCouponCard> listCoupCardEnabled(Integer enterpriseId, Integer code);

    TabBillingCouponCard getCoupCardDetail(Integer id);

    int useCoupCard(Integer coupCardId);

    int expireCoupCard();
}
