package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingOrderDTO;
import com.gic.enterprise.entity.TabBillingOrder;
import com.github.pagehelper.Page;


public interface BillingOrderService {

    Integer saveOrderBuyNow(BillingOrderDTO billingOrderDTO);

    boolean updateOrderPayInfoId(Integer orderId, Integer payInfoId, Integer payType);

    TabBillingOrder getOrderByPayInfoId(Integer payInfoId);

    Page<TabBillingOrder> listOrder(Integer enterpriseId, Integer status, String search, String startDate, String endDate);

    TabBillingOrder getOrderById(Integer id);

    Integer cancelOrderApproval(Integer orderId, Integer auditStatus);

    void updateBySerialNumber(String orderSerialNumber, Double totalFeePaid, Integer auditStatus, String timeEnd);

    TabBillingOrder getOrderBySerialNumber(String orderSerialNumber);


}
