package com.gic.enterprise.service;

import com.gic.enterprise.dto.BillingRechargeDTO;
import com.gic.enterprise.entity.TabBillingRechargeRecord;
import com.gic.enterprise.qo.RechargeRecordQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/15 17:05
 */
public interface BillingRechargeRecordService {

    TabBillingRechargeRecord saveOffLinePay(BillingRechargeDTO billingRechargeDTO);

    Integer saveWxPay(BillingRechargeDTO billingRechargeDTO);

    Page<TabBillingRechargeRecord> listRechargeRecord(RechargeRecordQO rechargeRecordQO);

    void updateBySerialNumber(Integer enterpriseId, String orderSerialNumber, Double totalFee, Double totalFeePaid, Integer auditStatus, String timeEnd, String onlineSerialNumber);

    TabBillingRechargeRecord getRechargeRecord(Integer rechargeRecordId);

    void updateAudit(Integer auditStatus, Double accountAmount, Integer rechargeRecordId);

    TabBillingRechargeRecord getAuditingRechargeRecord(Integer enterpriseId);

    Integer cancelRechargeApproval(Integer rechargeRecordId, Integer auditStatus);

    TabBillingRechargeRecord getRechargeRecordBySerialNumber(String serialNumber);


}
