package com.gic.enterprise.service;

import com.gic.enterprise.dto.RefundDTO;
import com.gic.enterprise.entity.TabBillingRefund;
import com.gic.enterprise.qo.RefundQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/9/3 10:46
 */
public interface BillingRefundService {
    TabBillingRefund getRefund(Integer enterpriseId, String refundSerialNumber, String requestCode);

    Double getTotalRefundFee(Integer enterpriseId, String orderSerialNumber, String requestCode);

    Integer save(RefundDTO refundDTO);

    Page<TabBillingRefund> listRefund(RefundQO refundQO);
}
