package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;
import com.gic.enterprise.entity.TabDataMemberConsumeConfig;

public interface DataMemberConsumeConfigService {
    /**
     * 新增会员消费配置
     * @param dto
     * @return
     */
    Integer saveMemberConsumeConfig(DataMemberConsumeConfigDTO dto);

    /**
     * 更新配置信息
     * @Title: editMemberConsumeConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editMemberConsumeConfig(DataMemberConsumeConfigDTO dto);

    TabDataMemberConsumeConfig getByEnterpriseId(Integer enterpriseId);
}
