package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataPerformanceConfigDTO;
import com.gic.enterprise.entity.TabDataPerformanceConfig;

public interface DataPerformanceConfigService {

    /**
     * 新增单效取值配置
     * @Title: savePerformanceConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void savePerformanceConfig(DataPerformanceConfigDTO dto);

    void editPerformanceConfig(DataPerformanceConfigDTO dto);

    /**
     * 根据商户ID查询配置
     * @Title: getByEnterpriseId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabDataPerformanceConfig 
     */
    TabDataPerformanceConfig getByEnterpriseId(Integer enterpriseId);
}
