package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataWechatMemberConfigDTO;
import com.gic.enterprise.entity.TabDataWechatMemberConfig;

import java.util.List;

public interface DataWechatMemberConfigService {

    /**
     * 新增微信会员配置
     * @Title: saveWechatMemberConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWechatMemberConfig(DataWechatMemberConfigDTO dto);

    /**
     *
     * @Title: getByMemberCardId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param memberCardId 会员卡ID
     * @return  com.gic.enterprise.entity.TabDataWechatMemberConfig 
     */
    TabDataWechatMemberConfig getByMemberCardId(Integer enterpriseId, String memberCardId);

    List<TabDataWechatMemberConfig> listByEnterpriseId(Integer enterpriseId);
}
