package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseLicenseDTO;

import java.util.List;

/**
 * 企业基础服务license数据
 * @ClassName: EnterpriseLicenseService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/8 9:21 AM 
 */
public interface EnterpriseLicenseService {

    /**
     * 批量插入
     * @Title: saveFetch 
     * @Description: 
      * @author guojuxing 
     * @param enterpriseLicenseList 
     * @return  void 
      */
    void saveFetch(List<EnterpriseLicenseDTO> enterpriseLicenseList);

    /**
     * 删除该商户所有的信息
     * @Title: deleteByEnterpriseId 
     * @Description: 
      * @author guojuxing 
     * @param enterpriseId 
     * @return  void 
      */
    void deleteByEnterpriseId(Integer enterpriseId);

    /**
     * 查询商户license数据
     * @Title: listByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.enterprise.dto.EnterpriseLicenseDTO> 
      */
    List<EnterpriseLicenseDTO> listByEnterpriseId(Integer enterpriseId);
}
