package com.gic.enterprise.service;

import com.gic.enterprise.dto.IndexModuleDTO;
import com.gic.enterprise.entity.TabIndexModule;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-13 15:56
 */
public interface IndexModuleService {
    boolean validModuleNameIsRepeat(String indexModuleName);

    boolean validModuleCodeIsRepeat(String indexModuleCode);

    Integer saveIndexModule(IndexModuleDTO indexModuleDTO);

    double getMinSort();

    void updateIndexModule(IndexModuleDTO indexModuleDTO);

    void delIndexModule(Integer indexModuleId);

    List<TabIndexModule> listIndexModule();

    void sortIndexModule(Integer indexModuleId, Integer seq);

    List<TabIndexModule> listIndexModuleEnterprise(Integer enterpriseId);

    TabIndexModule getIndexModule(Integer indexModuleId);
}
