package com.gic.enterprise.service;

import com.gic.enterprise.dto.TodoItemDTO;
import com.gic.enterprise.entity.TabTodoItem;
import com.gic.enterprise.qo.TodoItemQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 17:20
 */
public interface TodoItemService {
    void save(TodoItemDTO todoItemDTO);

    TabTodoItem getByItemInfoUrl(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl);

    int finishTodoItem(Integer enterpriseId, Integer userId, String itemType, String itemInfoUrl);

    Page<TabTodoItem> listTodoItem(TodoItemQO todoItemQO);

    Integer getUnFinishCount(TodoItemQO todoItemQO);

    TabTodoItem getById(Integer todoItemId);
}
