package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabAccountStandardMapper;
import com.gic.enterprise.service.AccountStandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-05 16:10
 */
@Service
public class AccountStandardServiceImpl implements AccountStandardService {

    @Autowired
    private TabAccountStandardMapper tabAccountStandardMapper;

    @Override
    public Integer queryUnitFee(Integer enterpriseId, Integer accountType) {
        Integer unitFee = tabAccountStandardMapper.queryUnitFee(enterpriseId, accountType);
        if (unitFee != null) {
            return unitFee;
        }
        return tabAccountStandardMapper.queryUnitFee(-1, accountType);
    }
}
