package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.enterprise.service.AccountStandardApiService;
import com.gic.enterprise.service.AccountStandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-09 17:00
 */
@Service("accountStandardApiService")
public class AccountStandardApiServiceImpl implements AccountStandardApiService {

    @Autowired
    private AccountStandardService accountStandardService;

    @Override
    public ServiceResponse<Integer> queryUnitFee(Integer enterpriseId, Integer accountType) {
        Integer unitFee = accountStandardService.queryUnitFee(enterpriseId, accountType);
        return EnterpriseServiceResponse.success(unitFee);
    }
}