package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.RefundDTO;
import com.gic.enterprise.entity.TabBillingRefund;
import com.gic.enterprise.qo.RefundQO;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.enterprise.service.BillingRefundService;
import com.gic.enterprise.service.BillingRefundApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-04 15:44
 */
@Service("billingRefundApiService")
public class BillingRefundApiServiceImpl implements BillingRefundApiService {

    @Autowired
    private BillingRefundService billingRefundService;

    @Override
    public ServiceResponse<Page<RefundDTO>> listRefund(RefundQO refundQO) {
        com.github.pagehelper.Page<TabBillingRefund> page = billingRefundService.listRefund(refundQO);
        Page<RefundDTO> result = PageHelperUtils.changePageHelperToCurrentPage(page, RefundDTO.class);
        return EnterpriseServiceResponse.success(result);
    }
}
