package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.BillingSmsRecordDTO;
import com.gic.enterprise.entity.TabBillingSmsRecord;
import com.gic.enterprise.service.BillingSmsRecordApiService;
import com.gic.enterprise.service.BillingSmsRecordService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("billingSmsRecordApiService")
public class BillingSmsRecordApiServiceImpl implements BillingSmsRecordApiService {
    @Autowired
    private BillingSmsRecordService billingSmsRecordService;
    @Override
    public ServiceResponse<Page<BillingSmsRecordDTO>> pageSmspackageRecord(String search, String startDate, String endDate,
                                                                           Integer smsPackageId, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        com.github.pagehelper.Page<TabBillingSmsRecord> page = this.billingSmsRecordService.listSmsPackageRecord(search, startDate, endDate, smsPackageId);
        Page<BillingSmsRecordDTO> gicPage = PageHelperUtils.changePageHelperToCurrentPage(page, BillingSmsRecordDTO.class);
        return ServiceResponse.success(gicPage);
    }
}
