package com.gic.enterprise.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.DownloadLogDTO;
import com.gic.enterprise.entity.TabDownloadLog;
import com.gic.enterprise.qo.DownloadLogQO;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.enterprise.service.DownloadLogApiService;
import com.gic.enterprise.service.DownloadLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 9:22
 */
@Service("downloadLogApiService")
public class DownloadLogApiServiceImpl implements DownloadLogApiService {

    @Autowired
    private DownloadLogService downloadLogService;

    @Override
    public ServiceResponse<Page<DownloadLogDTO>> listDownload(DownloadLogQO downloadLogQO) {
        com.github.pagehelper.Page<TabDownloadLog> listDownload = downloadLogService.listDownload(downloadLogQO);
        Page<DownloadLogDTO> page = PageHelperUtils.changePageHelperToCurrentPage(listDownload, DownloadLogDTO.class);
        return EnterpriseServiceResponse.success(page);
    }
}
