package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingAccountBalanceRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
/**
 * 余额支付消费明细
 * @ClassName: BillingAccountBalanceRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:19 PM 
 */
@Component
public class BillingAccountBalanceRecord implements IFeeChart{
    @Autowired
    private BillingAccountBalanceRecordService billingAccountBalanceRecordService;
    private static BillingAccountBalanceRecord billingAccountBalanceRecord;
    @PostConstruct
    public void init() {
        billingAccountBalanceRecord = this;
    }
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return billingAccountBalanceRecord.billingAccountBalanceRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return billingAccountBalanceRecord.billingAccountBalanceRecordService.getFee(enterpriseId, dateType);
    }
}
