package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingDoubleCallingRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
/**
 * 双向呼叫消费明细
 * @ClassName: BillingDoubleCallingRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:20 PM 
 */
@Component
public class BillingDoubleCallingRecord implements IFeeChart{
    @Autowired
    private BillingDoubleCallingRecordService billingDoubleCallingRecordService;
    private static BillingDoubleCallingRecord billingDoubleCallingRecord;
    @PostConstruct
    public void init() {
        billingDoubleCallingRecord = this;
    }
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return billingDoubleCallingRecord.billingDoubleCallingRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return billingDoubleCallingRecord.billingDoubleCallingRecordService.getFee(enterpriseId, dateType);
    }
}
