package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingSmsRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
/**
 * 短信消费明细
 * @ClassName: BillingSmsRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:21 PM 
 */
@Component
public class BillingSmsRecord implements IFeeChart{
    @Autowired
    private BillingSmsRecordService billingSmsRecordService;
    private static BillingSmsRecord billingSmsRecord;
    @PostConstruct
    public void init() {
        billingSmsRecord = this;
    }
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return billingSmsRecord.billingSmsRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return billingSmsRecord.billingSmsRecordService.getFee(enterpriseId, dateType);
    }
}
