package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingVoiceCodeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
/**
 * 语音验证码消费明细
 * @ClassName: BillingVoiceCodeRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:21 PM 
 */
@Component
public class BillingVoiceCodeRecord implements IFeeChart{
    @Autowired
    private BillingVoiceCodeRecordService billingVoiceCodeRecordService;
    private static BillingVoiceCodeRecord billingVoiceCodeRecord;
    @PostConstruct
    public void init() {
        billingVoiceCodeRecord = this;
    }
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return billingVoiceCodeRecord.billingVoiceCodeRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return billingVoiceCodeRecord.billingVoiceCodeRecordService.getFee(enterpriseId, dateType);
    }
}
