package com.gic.enterprise.web.vo;

import java.io.Serializable;

public class AppletPageDetailVO implements Serializable{
    private static final long serialVersionUID = 6447068802791817833L;

    /**
     *
     */
    private Integer pageId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private String title;

    /**
     * 进入条件，0不限，1开卡会员，2认证会员
     */
    private Integer entryCondition;

    /**
     * 背景颜色 灰色 白色 ，默认灰色（会员中心页面、积分服务页面、自定义页面、商城装首页 有该设置）
     */
    private String backgroundColor;

    /**
     * 配置json
     */
    private String setting;
    /**
     * 组件字符串，用于详情接口
     */
    private String componentStr;

    public Integer getPageId() {
        return pageId;
    }

    public void setPageId(Integer pageId) {
        this.pageId = pageId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getEntryCondition() {
        return entryCondition;
    }

    public void setEntryCondition(Integer entryCondition) {
        this.entryCondition = entryCondition;
    }

    public String getSetting() {
        return setting;
    }

    public void setSetting(String setting) {
        this.setting = setting;
    }

    public String getComponentStr() {
        return componentStr;
    }

    public void setComponentStr(String componentStr) {
        this.componentStr = componentStr;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }

    public AppletPageDetailVO setBackgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
        return this;
    }
}
