package com.gic.enterprise.web.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.enterprise.jsonSeralizer.EncryptJsonSerializer;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 17:12
 */
public class DoubleCallingRecordVO implements Serializable {
    private static final long serialVersionUID = 1898800989424936284L;
    /**
     *
     */
    private Integer doubleCallingRecordId;

    /**
     * 支付流水号
     */
    private String paySerialNumber;

    /**
     * 主叫
     */
    private String callerName;

    /**
     * 主叫
     */
    @JsonSerialize(using = EncryptJsonSerializer.class)
    private String callerPhone;

    /**
     * 费用 单位：元
     */
    private Double fee;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     * 被叫
     */
    //    @NotBlank(message = "被叫名")
    private String calledName;

    /**
     * 被叫
     */
    @JsonSerialize(using = EncryptJsonSerializer.class)
    private String calledPhone;

    /**
     *
     */
    private String appCode;

    /**
     *
     */
    private String appName;

    /**
     * 语音时长 单位 秒
     */
    private String voiceTime;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 门店名
     */
    private String storeName;

    /**
     * 门店分组id
     */
    private Integer storeGroupId;

    /**
     * 门店分组名
     */
    private String storeGroupName;

    /**
     * 呼叫时间
     */
    private Date callTime;

    /**
     * 说明
     */
    private String remark;

    public Integer getDoubleCallingRecordId() {
        return doubleCallingRecordId;
    }

    public void setDoubleCallingRecordId(Integer doubleCallingRecordId) {
        this.doubleCallingRecordId = doubleCallingRecordId;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public String getCallerName() {
        return callerName;
    }

    public void setCallerName(String callerName) {
        this.callerName = callerName;
    }

    public String getCallerPhone() {
        return callerPhone;
    }

    public void setCallerPhone(String callerPhone) {
        this.callerPhone = callerPhone;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public String getCalledName() {
        return calledName;
    }

    public void setCalledName(String calledName) {
        this.calledName = calledName;
    }

    public String getCalledPhone() {
        return calledPhone;
    }

    public void setCalledPhone(String calledPhone) {
        this.calledPhone = calledPhone;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getVoiceTime() {
        return voiceTime;
    }

    public void setVoiceTime(String voiceTime) {
        this.voiceTime = voiceTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public Date getCallTime() {
        return callTime;
    }

    public void setCallTime(Date callTime) {
        this.callTime = callTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
