package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 公众号自定义菜单
 * @ClassName: WechatMenuVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/29 9:48 AM 
 */
public class WechatMenuVO implements Serializable{
    private static final long serialVersionUID = 8821617988057483655L;

    /**
     * 菜单ID
     */
    private Integer menuId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 父级菜单ID
     */
    private Integer parentMenuId;

    private List<WechatMenuVO> child;


    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public List<WechatMenuVO> getChild() {
        return child;
    }

    public void setChild(List<WechatMenuVO> child) {
        this.child = child;
    }

    public Integer getParentMenuId() {
        return parentMenuId;
    }

    public void setParentMenuId(Integer parentMenuId) {
        this.parentMenuId = parentMenuId;
    }
}
