package com.gic.enterprise.web.vo.data;

import java.io.Serializable;

public class GenerationConfigVO implements Serializable{
    private static final long serialVersionUID = 5559419377425622656L;

    /**
     * 档位 1:第一档 2:第二档...
     */
    private Integer ageLevel;

    /**
     * 第一个区间符号 1:小于等于 2:小于 3:大于等于 4:大于
     */
    private Integer firstSign;

    /**
     * 第一个区间值
     */
    private Integer ageFirstValue;

    /**
     * 第二个区间符号 1:小于等于 2:小于 3:大于等于 4:大于不一定有值（第一档和最后一档没有值）
     */
    private Integer secondSign;

    /**
     * 第二个区间值，不一定有值（第一档和最后一档没有值）
     */
    private Integer ageSecondValue;

    /**
     * 展示名称
     */
    private String description;

    public Integer getAgeLevel() {
        return ageLevel;
    }

    public GenerationConfigVO setAgeLevel(Integer ageLevel) {
        this.ageLevel = ageLevel;
        return this;
    }

    public Integer getFirstSign() {
        return firstSign;
    }

    public GenerationConfigVO setFirstSign(Integer firstSign) {
        this.firstSign = firstSign;
        return this;
    }

    public Integer getAgeFirstValue() {
        return ageFirstValue;
    }

    public GenerationConfigVO setAgeFirstValue(Integer ageFirstValue) {
        this.ageFirstValue = ageFirstValue;
        return this;
    }

    public Integer getSecondSign() {
        return secondSign;
    }

    public GenerationConfigVO setSecondSign(Integer secondSign) {
        this.secondSign = secondSign;
        return this;
    }

    public Integer getAgeSecondValue() {
        return ageSecondValue;
    }

    public GenerationConfigVO setAgeSecondValue(Integer ageSecondValue) {
        this.ageSecondValue = ageSecondValue;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public GenerationConfigVO setDescription(String description) {
        this.description = description;
        return this;
    }
}
