package com.gic.enterprise.web.vo.data;

import java.io.Serializable;

public class MemberConsumeConfigVO implements Serializable{
    private static final long serialVersionUID = -3015458569128344608L;

    /**
     *
     */
    private Integer memberConsumeConfigId;

    /**
     * 会员消费统计粒度 1:会员 + 渠道 + 线上店铺/线下门店品牌 （按订单统计） 2:会员 + 渠道 + 线上店铺/线下门店品牌 + 商品品牌 （按订单项统计）
     */
    private Integer memberConsumeCount;

    /**
     * 默认订单粒度。最高单笔配置 1:最高ERP单笔应付』 2:『最高单笔销售应付』 3:『最高有效单笔应付』 4:『最高成交单笔应付』
     */
    private Integer memberConsumeMaxDefault;

    /**
     * 默认订单粒度。消费次数 1:消费单次数』2:『有效消费次数』
     */
    private Integer memberConsumeTimesDefault;

    /**
     * 订单粒度(统计到商品品牌)。最高单笔配置 1:最高ERP单笔应付』  2:『最高有效单笔应付』
     */
    private Integer memberConsumeMaxGoods;

    /**
     * 订单粒度(统计到商品品牌)。消费次数 1:消费单次数』'
     */
    private Integer memberConsumeTimesGoods;

    public Integer getMemberConsumeConfigId() {
        return memberConsumeConfigId;
    }

    public MemberConsumeConfigVO setMemberConsumeConfigId(Integer memberConsumeConfigId) {
        this.memberConsumeConfigId = memberConsumeConfigId;
        return this;
    }

    public Integer getMemberConsumeCount() {
        return memberConsumeCount;
    }

    public MemberConsumeConfigVO setMemberConsumeCount(Integer memberConsumeCount) {
        this.memberConsumeCount = memberConsumeCount;
        return this;
    }

    public Integer getMemberConsumeMaxDefault() {
        return memberConsumeMaxDefault;
    }

    public MemberConsumeConfigVO setMemberConsumeMaxDefault(Integer memberConsumeMaxDefault) {
        this.memberConsumeMaxDefault = memberConsumeMaxDefault;
        return this;
    }

    public Integer getMemberConsumeTimesDefault() {
        return memberConsumeTimesDefault;
    }

    public MemberConsumeConfigVO setMemberConsumeTimesDefault(Integer memberConsumeTimesDefault) {
        this.memberConsumeTimesDefault = memberConsumeTimesDefault;
        return this;
    }

    public Integer getMemberConsumeMaxGoods() {
        return memberConsumeMaxGoods;
    }

    public MemberConsumeConfigVO setMemberConsumeMaxGoods(Integer memberConsumeMaxGoods) {
        this.memberConsumeMaxGoods = memberConsumeMaxGoods;
        return this;
    }

    public Integer getMemberConsumeTimesGoods() {
        return memberConsumeTimesGoods;
    }

    public MemberConsumeConfigVO setMemberConsumeTimesGoods(Integer memberConsumeTimesGoods) {
        this.memberConsumeTimesGoods = memberConsumeTimesGoods;
        return this;
    }
}
