package com.gic.enterprise.web.vo.wm;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * gic卡券
 * @ClassName: CouponVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/7 9:40 AM 
 */
public class CouponVO implements Serializable{
    private static final long serialVersionUID = -5251156293561530439L;

    /**
     * 卡券ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long couponId;

    /**
     * 会员卡域id
     */
    private Long memberCardId;
    /**
     * 卡券名称
     */
    private String cardName;

    public Long getCouponId() {
        return couponId;
    }

    public CouponVO setCouponId(Long couponId) {
        this.couponId = couponId;
        return this;
    }

    public Long getMemberCardId() {
        return memberCardId;
    }

    public CouponVO setMemberCardId(Long memberCardId) {
        this.memberCardId = memberCardId;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public CouponVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }
}
