package com.gic.enterprise.web.vo.wm;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class WeimobStoreClerkLogVO implements Serializable{
    private static final long serialVersionUID = 1682447695935349495L;

    /**
     * 日志主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;
    /**
     * 企业id
     */
    private Integer enterpriseId;
    /**
     * 微盟商户id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long pid;

    /**
     *
     */
    private Integer storeInfoId;
    /**
     *
     */
    private Integer clerkId;
    /**
     * 门店编码
     */
    private String storeCode;
    /**
     * 门店名称
     */
    private String storeName;
    /**
     * 导购编码
     */
    private String clerkCode;
    /**
     * 导购手机号
     */
    private String clerkPhone;

    /**
     * 导购名称
     */
    private String clerkName;
    /**
     * 日志类型（STORE--门店;CLERK--导购）
     */
    private String logType;
    /**
     * 请求微盟参数
     */
    private String paramInfo;
    /**
     * 请求返回结果（错误原因）
     */
    private String responseInfo;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 状态
     */
    private Integer status;

    public Long getId() {
        return id;
    }

    public WeimobStoreClerkLogVO setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WeimobStoreClerkLogVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Long getPid() {
        return pid;
    }

    public WeimobStoreClerkLogVO setPid(Long pid) {
        this.pid = pid;
        return this;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public WeimobStoreClerkLogVO setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
        return this;
    }

    public Integer getClerkId() {
        return clerkId;
    }

    public WeimobStoreClerkLogVO setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
        return this;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public WeimobStoreClerkLogVO setStoreCode(String storeCode) {
        this.storeCode = storeCode;
        return this;
    }

    public String getStoreName() {
        return storeName;
    }

    public WeimobStoreClerkLogVO setStoreName(String storeName) {
        this.storeName = storeName;
        return this;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public WeimobStoreClerkLogVO setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
        return this;
    }

    public String getClerkPhone() {
        return clerkPhone;
    }

    public WeimobStoreClerkLogVO setClerkPhone(String clerkPhone) {
        this.clerkPhone = clerkPhone;
        return this;
    }

    public String getClerkName() {
        return clerkName;
    }

    public WeimobStoreClerkLogVO setClerkName(String clerkName) {
        this.clerkName = clerkName;
        return this;
    }

    public String getLogType() {
        return logType;
    }

    public WeimobStoreClerkLogVO setLogType(String logType) {
        this.logType = logType;
        return this;
    }

    public String getParamInfo() {
        return paramInfo;
    }

    public WeimobStoreClerkLogVO setParamInfo(String paramInfo) {
        this.paramInfo = paramInfo;
        return this;
    }

    public String getResponseInfo() {
        return responseInfo;
    }

    public WeimobStoreClerkLogVO setResponseInfo(String responseInfo) {
        this.responseInfo = responseInfo;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WeimobStoreClerkLogVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WeimobStoreClerkLogVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WeimobStoreClerkLogVO setStatus(Integer status) {
        this.status = status;
        return this;
    }
}
