package com.gic.enterprise.web.vo.wm;

import java.io.Serializable;
import java.util.List;

/**
 * 微盟店铺列表
 * @ClassName: WmStoreVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/24 2:33 PM 
 */
public class WmStoreVO implements Serializable{
    private static final long serialVersionUID = -8992915235298409360L;

    /**
     *
     */
    private Integer wmMallStoreId;

    /**
     * 微盟主账号
     */
    private String wmMainAccount;

    /**
     * 微盟pid
     */
    private String wmPid;

    /**
     * 微盟store_id
     */
    private String wmStoreId;

    /**
     * 店铺名称
     */
    private String wmPidName;

    /**
     * 商城模式 1:微商城模式 2:智慧零售模式
     */
    private Integer mallMode;

    /**
     * 授权状态 0:未授权 1:已授权
     */
    private Integer authStatus;

    /**
     * 是否已经绑定过卡券 1：是
     */
    private Integer hasBindCoupon;

    /**
     * 是否应配置完成 1：是
     */
    private Integer hasCompleteConfig;

    /**
     * 还未配置的项目 WmStoreConfigTypeEnum枚举
     */
    private List<Integer> hasNotConfig;

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmStoreVO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public String getWmPid() {
        return wmPid;
    }

    public WmStoreVO setWmPid(String wmPid) {
        this.wmPid = wmPid;
        return this;
    }

    public String getWmStoreId() {
        return wmStoreId;
    }

    public WmStoreVO setWmStoreId(String wmStoreId) {
        this.wmStoreId = wmStoreId;
        return this;
    }

    public String getWmPidName() {
        return wmPidName;
    }

    public WmStoreVO setWmPidName(String wmPidName) {
        this.wmPidName = wmPidName;
        return this;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public WmStoreVO setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
        return this;
    }

    public Integer getHasBindCoupon() {
        return hasBindCoupon;
    }

    public WmStoreVO setHasBindCoupon(Integer hasBindCoupon) {
        this.hasBindCoupon = hasBindCoupon;
        return this;
    }

    public Integer getHasCompleteConfig() {
        return hasCompleteConfig;
    }

    public WmStoreVO setHasCompleteConfig(Integer hasCompleteConfig) {
        this.hasCompleteConfig = hasCompleteConfig;
        return this;
    }

    public Integer getMallMode() {
        return mallMode;
    }

    public WmStoreVO setMallMode(Integer mallMode) {
        this.mallMode = mallMode;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreVO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public List<Integer> getHasNotConfig() {
        return hasNotConfig;
    }

    public WmStoreVO setHasNotConfig(List<Integer> hasNotConfig) {
        this.hasNotConfig = hasNotConfig;
        return this;
    }
}
