package com.gic.operation.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.auth.service.UserApiService;
import com.gic.authcenter.security.core.util.UserUtils;
import com.gic.commons.webapi.reponse.RestResponse;

/**
 * 用户操作
 * @ClassName: UserController   
 * @Description:    
 * @author guojuxing   
 * @date 2019/8/7 5:26 PM  
 */
@RestController
@RequestMapping("/user")
public class UserController {
    private static final Logger LOGGER = LoggerFactory.getLogger(UserController.class);
    @Autowired
    private UserApiService userApiService;


    @RequestMapping("/userinfo")
    public RestResponse userInfo(){
        return RestResponse.success(UserUtils.getUser());
    }

}
