package com.gic.operation.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务分类
 * @ClassName: MarketAppCategoryVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/21 5:23 PM 
 */
public class MarketAppCategoryVO implements Serializable{
    private static final long serialVersionUID = -3434719967133493055L;

    /**
     * 应用分类主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long appCategoryId;

    /**
     * 名称
     */
    private String categoryName;

    /**
     * 简介
     */
    private String categoryIntro;

    /**
     * 资质要求json
     */
    private String qualification;

    /**
     * 0:gic,1:好办
     */
    private Integer marketType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除标志(0:正常，1删除)
     */
    private Integer deleteFlag;


    public Long getAppCategoryId() {
        return appCategoryId;
    }

    public void setAppCategoryId(Long appCategoryId) {
        this.appCategoryId = appCategoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getCategoryIntro() {
        return categoryIntro;
    }

    public void setCategoryIntro(String categoryIntro) {
        this.categoryIntro = categoryIntro;
    }

    public String getQualification() {
        return qualification;
    }

    public void setQualification(String qualification) {
        this.qualification = qualification;
    }

    public Integer getMarketType() {
        return marketType;
    }

    public void setMarketType(Integer marketType) {
        this.marketType = marketType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }
}
