package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 16:30
 */
public enum DownloadReportStatusEnum {

    WAIT(0, "待审核"),
    PASS(1, "通过"),
    FAIL(2, "不通过"),
    OVER_TIME(3, "超时"),
    BUILD(4, "生成中"),
    GENERATED(5, "已生成")
    ;
    private Integer code;
    private String msg;

    DownloadReportStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
