package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/18 10:02 AM
 */
public enum LicenseTypeEnum {
    MemberCard(1, "会员卡"),
    ServiceNumber(2, "服务号"),
    WeChat(3, "小程序"),
    Store(4, "门店"),
    Goods(5, "商品");

    private int code;
    private String message;

    private LicenseTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
