package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 16:52
 */
public class LinkSortEnum {
    public enum LinkSortColumn{
        CREATE_TIME(1, "create_time"),
        UPDATE_TIME(2, "update_time"),
        ;
        private Integer code;
        private String msg;

        LinkSortColumn(Integer code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public Integer getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }

        public static String parse(Integer code) {
            for (LinkSortColumn column : values()) {
                if (column.code.equals(code)) {
                    return column.msg;
                }
            }
            return null;
        }

    }

    public enum LinkSortType{
        ASC(1, "asc"),
        DESC(2, "desc"),
        ;
        private Integer code;
        private String msg;

        LinkSortType(Integer code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public Integer getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
        public static String parse(Integer code) {
            for (LinkSortType sortType : values()) {
                if (sortType.code.equals(code)) {
                    return sortType.msg;
                }
            }
            return null;
        }
    }
}
