package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/16 4:49 PM
 */
public enum SmsPackageStatusEnum {
    UNUSE(1, "待使用"),
    INVALID(0, "无效"),
    USEING(2, "使用中"),
    NOAMOUNT(3, "无余量"),
    EXPIRED(4, "已过期");

    private int code;
    private String message;

    private SmsPackageStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
