package com.gic.enterprise.constant;

/**
 * @author zhiwj
 * @Description: 短信消费类型
 * @date 2020-03-30 14:45
 */
public enum SmsTypeEnum {

    AUTH_CODE(1, "验证码"),
    NOTICE(2, "通知"),
    MARKETING(3, "营销"),
    ;

    SmsTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private Integer code;
    private String name;

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
