package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 小程序适用卡范围
 * @ClassName: AppletCardDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/11 9:31 AM 
 */
public class AppletCardDTO implements Serializable{
    private static final long serialVersionUID = 9089247895661173247L;

    private Long cardConfigId;
    private String cardName;

    private Boolean mainCard;

    /**
     * 子卡列表
     */
    private List<AppletCardDTO> subList;

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public AppletCardDTO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public AppletCardDTO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    public Boolean getMainCard() {
        return mainCard;
    }

    public AppletCardDTO setMainCard(Boolean mainCard) {
        this.mainCard = mainCard;
        return this;
    }

    public List<AppletCardDTO> getSubList() {
        return subList;
    }

    public AppletCardDTO setSubList(List<AppletCardDTO> subList) {
        this.subList = subList;
        return this;
    }
}
