package com.gic.enterprise.dto;

import java.io.Serializable;
/**
 * 小程序装修配置 数据资产范围
 * @ClassName: AppletDataAssetAreaDTO 
 * @Description:    
 * @author guojuxing   
 * @date 2019/12/31 9:26 AM  
 */
public class AppletDataAssetAreaDTO implements Serializable{
    private static final long serialVersionUID = -8555323283383515771L;

    /**
     * 积分 会员卡ID，英文逗号隔开
     */
    private String integral;

    /**
     * 可用积分
     */
    private String availableIntegral;

    /**
     * 卡券包 会员卡ID，英文逗号隔开
     */
    private String coupon;

    /**
     * 线下订单 会员卡ID，英文逗号隔开
     */
    private String order;

    /**
     * 商城订单 默认选中和主卡关联的店铺， 店铺ID， 不可编辑
     */
    private String mallOrder;
    /**
     * 商城订单 默认选中和主卡关联的店铺，不可编辑，名称，详情里需要用到
     */
    private String mallOrderName;

    /**
     * 签到 系统默认主卡，不可编辑
     */
    private String signIn;

    /**
     * 会员成就 系统默认主卡，不可编辑
     */
    private String memberAchievement;

    /**
     * 会员任务 系统默认主卡，不可编辑
     */
    private String memberTask;

    public String getIntegral() {
        return integral;
    }

    public void setIntegral(String integral) {
        this.integral = integral;
    }

    public String getAvailableIntegral() {
        return availableIntegral;
    }

    public void setAvailableIntegral(String availableIntegral) {
        this.availableIntegral = availableIntegral;
    }

    public String getCoupon() {
        return coupon;
    }

    public void setCoupon(String coupon) {
        this.coupon = coupon;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getMallOrder() {
        return mallOrder;
    }

    public void setMallOrder(String mallOrder) {
        this.mallOrder = mallOrder;
    }

    public String getMallOrderName() {
        return mallOrderName;
    }

    public void setMallOrderName(String mallOrderName) {
        this.mallOrderName = mallOrderName;
    }

    public String getSignIn() {
        return signIn;
    }

    public void setSignIn(String signIn) {
        this.signIn = signIn;
    }

    public String getMemberAchievement() {
        return memberAchievement;
    }

    public void setMemberAchievement(String memberAchievement) {
        this.memberAchievement = memberAchievement;
    }

    public String getMemberTask() {
        return memberTask;
    }

    public void setMemberTask(String memberTask) {
        this.memberTask = memberTask;
    }
}
