package com.gic.enterprise.dto;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 9:38
 */
public class ProjectDTO implements Serializable{
    private static final long serialVersionUID = -6709186360782680347L;
    public interface SaveValid{}

    /**
     *
     */
    private Integer projectId;

    /**
     * 项目名
     */
    @NotBlank(message = "项目名不能为空", groups = SaveValid.class)
    private String projectName;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private List<ProjectItemDTO> itemList;

    private Integer itemTotalCount;

    private Integer itemUseCount;

    private int seq;

    public void setSeq(int seq) {
        this.seq = seq;
    }

    public int getSeq() {
        return seq;
    }


    public void setItemTotalCount(Integer itemTotalCount) {
        this.itemTotalCount = itemTotalCount;
    }

    public Integer getItemTotalCount() {
        return itemTotalCount;
    }

    public void setItemUseCount(Integer itemUseCount) {
        this.itemUseCount = itemUseCount;
    }

    public Integer getItemUseCount() {
        return itemUseCount;
    }

    public void setItemList(List<ProjectItemDTO> itemList) {
        this.itemList = itemList;
    }

    public List<ProjectItemDTO> getItemList() {
        return itemList;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
