package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟商城店铺-积分配置
 * @ClassName: WmOrderConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/14 4:08 PM 
 */
public class WmIntegralConfigDTO implements Serializable{


    private static final long serialVersionUID = -8965484222353430286L;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号(平台唯一)，用于关联配置
     */
    private String wmMainAccount;

    /**
     * GIC计算本商城订单积分 1:开启 0:关闭
     * 开启后订单积分计算统一由GIC计算，关闭则由ERP计算
     */
    private Integer gicCalculateMallOrderIntegral;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmIntegralConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmIntegralConfigDTO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public Integer getGicCalculateMallOrderIntegral() {
        return gicCalculateMallOrderIntegral;
    }

    public WmIntegralConfigDTO setGicCalculateMallOrderIntegral(Integer gicCalculateMallOrderIntegral) {
        this.gicCalculateMallOrderIntegral = gicCalculateMallOrderIntegral;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmIntegralConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmIntegralConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
