package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟商城-会员卡配置
 * @ClassName: WmMemberCardConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 4:15 PM 
 */
public class WmMemberCardConfigDTO implements Serializable{
    private static final long serialVersionUID = 698215421069218834L;

    /**
     *
     */
    private Integer memberCardConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号(平台唯一)，用于关联配置
     */
    private String wmMainAccount;

    /**
     * 开卡方式 1:达摩开卡 2:微盟开卡
     */
    private Integer openCardMode;

    /**
     * GIC会员归属信息同步微盟 1:开启 0:关闭
     */
    private Integer gicMemberToWm;

    /**
     * 微盟会员导购关系同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberClerkToGic;

    /**
     * 微盟会员信息（包括门店关系）同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberToGic;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getMemberCardConfigId() {
        return memberCardConfigId;
    }

    public WmMemberCardConfigDTO setMemberCardConfigId(Integer memberCardConfigId) {
        this.memberCardConfigId = memberCardConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmMemberCardConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmMemberCardConfigDTO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public Integer getOpenCardMode() {
        return openCardMode;
    }

    public WmMemberCardConfigDTO setOpenCardMode(Integer openCardMode) {
        this.openCardMode = openCardMode;
        return this;
    }

    public Integer getGicMemberToWm() {
        return gicMemberToWm;
    }

    public WmMemberCardConfigDTO setGicMemberToWm(Integer gicMemberToWm) {
        this.gicMemberToWm = gicMemberToWm;
        return this;
    }

    public Integer getWmMemberClerkToGic() {
        return wmMemberClerkToGic;
    }

    public WmMemberCardConfigDTO setWmMemberClerkToGic(Integer wmMemberClerkToGic) {
        this.wmMemberClerkToGic = wmMemberClerkToGic;
        return this;
    }

    public Integer getWmMemberToGic() {
        return wmMemberToGic;
    }

    public WmMemberCardConfigDTO setWmMemberToGic(Integer wmMemberToGic) {
        this.wmMemberToGic = wmMemberToGic;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WmMemberCardConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmMemberCardConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmMemberCardConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
