package com.gic.enterprise.dto.market;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 版本
 * @ClassName: SkuDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/30 10:00 AM 
 */
public class SkuDTO implements Serializable{
    private static final long serialVersionUID = 5872667759068376121L;

    /**
     * 主键ID
     */
    private String skuId;

    /**
     * 销售规格详情json 如: {"version":{"name":"初级版","code":"aaa"},"period":{"name":"7天","code":"111","effect_time":"7","effect_time_unit":"天"}}
     */
    private String skuDetailJson;

    /**
     * 价格(元)
     */
    private BigDecimal price;


    /**
     * 服务版本code
     */
    private String versionCode;

    /**
     * 服务周期code
     */
    private String periodCode;

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public String getPeriodCode() {
        return periodCode;
    }

    public void setPeriodCode(String periodCode) {
        this.periodCode = periodCode;
    }

    public void setSkuDetailJson(String skuDetailJson) {
        this.skuDetailJson = skuDetailJson;
    }

    public String getSkuDetailJson() {
        return skuDetailJson;
    }
}
