package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户规则和商户ID关联
 * @ClassName: RuleEnterpriseRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:21 PM 
 */
public class RuleEnterpriseRelDTO implements Serializable{
    private static final long serialVersionUID = 2963511222727402738L;

    /**
     *
     */
    private Integer enterpriseRelId;

    /**
     * 商户规则ID
     */
    private Integer enterpriseRuleId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getEnterpriseRelId() {
        return enterpriseRelId;
    }

    public RuleEnterpriseRelDTO setEnterpriseRelId(Integer enterpriseRelId) {
        this.enterpriseRelId = enterpriseRelId;
        return this;
    }

    public Integer getEnterpriseRuleId() {
        return enterpriseRuleId;
    }

    public RuleEnterpriseRelDTO setEnterpriseRuleId(Integer enterpriseRuleId) {
        this.enterpriseRuleId = enterpriseRuleId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public RuleEnterpriseRelDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public RuleEnterpriseRelDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleEnterpriseRelDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleEnterpriseRelDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
