package com.gic.enterprise.dto.wm;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟店铺配置
 * @ClassName: WmStoreConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/15 10:16 AM 
 */
public class WmStoreConfigDTO implements Serializable{
    private static final long serialVersionUID = 6295403527873697597L;

    /**
     *
     */
    private Integer storeConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 店铺主键ID，用于关联配置
     */
    private Integer wmMallStoreId;

    /**
     * 店铺配置类型 1:会员卡配置 2:卡券配置 3:订单配置 4:积分配置 5:商品同步记录 6:小程序配置
     */
    private Integer storeConfigType;

    /**
     * 店铺配置类型json字符串
     */
    private String storeConfigJson;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getStoreConfigId() {
        return storeConfigId;
    }

    public WmStoreConfigDTO setStoreConfigId(Integer storeConfigId) {
        this.storeConfigId = storeConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmStoreConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreConfigDTO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public Integer getStoreConfigType() {
        return storeConfigType;
    }

    public WmStoreConfigDTO setStoreConfigType(Integer storeConfigType) {
        this.storeConfigType = storeConfigType;
        return this;
    }

    public String getStoreConfigJson() {
        return storeConfigJson;
    }

    public WmStoreConfigDTO setStoreConfigJson(String storeConfigJson) {
        this.storeConfigJson = storeConfigJson;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WmStoreConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmStoreConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmStoreConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
