package com.gic.enterprise.qo;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 9:23
 */
public class ProjectItemQO extends PageQO {

    private static final long serialVersionUID = 1218293562538399805L;

    /**
     *
     */
    private Integer projectItemId;

    /**
     * 审批项名称
     */
    private String projectItemName;

    private String projectItemCode;
    /**
     * 审批项描述
     */
    private String projectItemDesc;

    /**
     * 项目id
     */
    private Integer projectId;

    /**
     * 回调地址
     */
    private String callbackUrl;

    /**
     * 使用状态  1:可用  0：禁用
     */
    private Integer useStatus;

    private String search;

    private Integer isPlatform;

    /**
     * 审核截止时长  单位：天
     */
    private Integer auditExpireDuration;

    /**
     * 审批模板类型   0：普通审批项， 1：风险模式审批， 2：导出完整数据
     */
    private Integer auditTemplateType;

    private List<Integer> projectItemList;

    public Integer getProjectItemId() {
        return projectItemId;
    }

    public void setProjectItemId(Integer projectItemId) {
        this.projectItemId = projectItemId;
    }

    public String getProjectItemName() {
        return projectItemName;
    }

    public void setProjectItemName(String projectItemName) {
        this.projectItemName = projectItemName;
    }

    public String getProjectItemCode() {
        return projectItemCode;
    }

    public void setProjectItemCode(String projectItemCode) {
        this.projectItemCode = projectItemCode;
    }

    public String getProjectItemDesc() {
        return projectItemDesc;
    }

    public void setProjectItemDesc(String projectItemDesc) {
        this.projectItemDesc = projectItemDesc;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getIsPlatform() {
        return isPlatform;
    }

    public void setIsPlatform(Integer isPlatform) {
        this.isPlatform = isPlatform;
    }

    public Integer getAuditExpireDuration() {
        return auditExpireDuration;
    }

    public void setAuditExpireDuration(Integer auditExpireDuration) {
        this.auditExpireDuration = auditExpireDuration;
    }

    public Integer getAuditTemplateType() {
        return auditTemplateType;
    }

    public void setAuditTemplateType(Integer auditTemplateType) {
        this.auditTemplateType = auditTemplateType;
    }

    public List<Integer> getProjectItemList() {
        return projectItemList;
    }

    public void setProjectItemList(List<Integer> projectItemList) {
        this.projectItemList = projectItemList;
    }
}
