package com.gic.enterprise.qo.wm;

import com.gic.enterprise.qo.PageQO;

import java.io.Serializable;
/**
 * 卡券配置查询参数
 * @ClassName: CouponConfigQO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/7 11:04 AM 
 */
public class CouponConfigQO extends PageQO implements Serializable{
    private static final long serialVersionUID = 2703515379512499369L;

    /**
     * 店铺主键ID，用于关联配置
     */
    private Integer wmMallStoreId;

    /**
     * gic卡券ID
     */
    private String gicCouponId;

    /**
     * 微盟卡券ID
     */
    private String wmCouponId;

    /**
     * 仅展示有效卡券 1：是
     */
    private Integer onlyShowEffective;

    /**
     * 卡券名称
     */
    private String couponName;

    /**
     * 1：绑定时间正序 2：绑定时间倒叙
     */
    private Integer orderByCode;

    /**
     * 绑定开始时间 2020-05-12
     */
    private String startTime;

    /**
     * 绑定时间
     */
    private String endTime;

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public CouponConfigQO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public String getGicCouponId() {
        return gicCouponId;
    }

    public CouponConfigQO setGicCouponId(String gicCouponId) {
        this.gicCouponId = gicCouponId;
        return this;
    }

    public String getWmCouponId() {
        return wmCouponId;
    }

    public CouponConfigQO setWmCouponId(String wmCouponId) {
        this.wmCouponId = wmCouponId;
        return this;
    }

    public Integer getOnlyShowEffective() {
        return onlyShowEffective;
    }

    public CouponConfigQO setOnlyShowEffective(Integer onlyShowEffective) {
        this.onlyShowEffective = onlyShowEffective;
        return this;
    }

    public String getCouponName() {
        return couponName;
    }

    public CouponConfigQO setCouponName(String couponName) {
        this.couponName = couponName;
        return this;
    }

    public Integer getOrderByCode() {
        return orderByCode;
    }

    public CouponConfigQO setOrderByCode(Integer orderByCode) {
        this.orderByCode = orderByCode;
        return this;
    }

    public String getStartTime() {
        return startTime;
    }

    public CouponConfigQO setStartTime(String startTime) {
        this.startTime = startTime;
        return this;
    }

    public String getEndTime() {
        return endTime;
    }

    public CouponConfigQO setEndTime(String endTime) {
        this.endTime = endTime;
        return this;
    }
}
