package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomGuideDTO;
import com.gic.enterprise.dto.GuideTypeDTO;

import java.util.List;
import java.util.Map;

public interface CustomGuideApiService {
    ServiceResponse<Integer> getMaxVersion(Integer enterpriseId, String appid);

    ServiceResponse<List<CustomGuideDTO>> listGuide(Integer enterpriseId, String appid);

    ServiceResponse<List<CustomGuideDTO>> listGuide(Integer enterpriseId, Integer version, String appid);

    ServiceResponse<Void> saveGuide(List<CustomGuideDTO> listGuide, boolean isNeedNewVersion, Integer enterpriseId, String appid);

    ServiceResponse<List<GuideTypeDTO>> listGuideType();

    ServiceResponse<Map<String, Object>> getExtJson(Integer enterpriseId, String appid);
}
