package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomStoreDTO;

public interface CustomStoreApiService {
    ServiceResponse<Integer> saveCustomStore(CustomStoreDTO customStoreDTO);

    ServiceResponse<Page<CustomStoreDTO>> pageCustomStore(Integer enterpriseId, String search, String appid, Integer pageNum, Integer pageSize);

    ServiceResponse<Integer> deleteCustomStore(Integer customStoreId);

    ServiceResponse<CustomStoreDTO> getCustomStore(Integer customStoreId);

    ServiceResponse<Integer> openCustomStore(Integer enterpriseId, String appid, Integer customStoreId);

    ServiceResponse<Integer> closeCustomStore(Integer enterpriseId, String appid);

    ServiceResponse<Integer> closeCustomStore(Integer customStoreId);

    ServiceResponse<CustomStoreDTO> getCustomStore(Integer enterpriseId, String appid);

    ServiceResponse<Void> customSettingHasCommpleted(Integer enterpriseId);
}
