package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.DoubleCallingRecordDTO;
import com.gic.enterprise.dto.PstnCallBillDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-05 11:36
 */
public interface DoubleCallingApiService {

    /**
     * 双向呼叫计费
     * @Title: saveDoubleCalling
     * @Description:
     * @author zhiwj
     * @param pstnCallBillDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveDoubleCalling(Integer enterpriseId, PstnCallBillDTO pstnCallBillDTO);

    /**
     *
     * @Title: saveDoubleCalling
     * @Description:
     * @author zhiwj
     * @param doubleCallingRecordDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveDoubleCalling(DoubleCallingRecordDTO doubleCallingRecordDTO);

    /**
     * @Title: run
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> run(String arg);
    
    /**
     * @Title: executeDatabase
     * @Description: 
     * @author zhiwj 
 * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> executeDatabase(String arg);

}
