package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.InternationalSmsRecordDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-06 10:36
 */
public interface InternationalSmsRecordApiService {

    /**
     * 保存明细
     * @Title: saveInternationalSmsRecord
     * @Description:
     * @author zhiwj
     * @param internationalSmsRecordDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveInternationalSmsRecord(InternationalSmsRecordDTO internationalSmsRecordDTO);

    /**
     * @Title: run
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> run(String arg);

    /**
     * @Title: executeDatabase
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> executeDatabase(String arg);

}
