package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.RecordingStorageRecordDTO;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-09 10:01
 */
public interface RecordingStorageRecordApiService {

    /**
     * 保存明细
     * @Title: saveRecordingStorageRecord
     * @Description:
     * @author zhiwj
     * @param recordingStorageRecordDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveRecordingStorageRecord(RecordingStorageRecordDTO recordingStorageRecordDTO);

    /**
     * @Title: run
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> run(String arg);

    /**
     * @Title: executeDatabase
     * @Description:
     * @author zhiwj
     * @param arg
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> executeDatabase(String arg);

}
