package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabAppletPageComponent;

import java.util.List;
/**
 * 小程序配置页面组件接口
 * @ClassName: AppletPageComponentService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 5:05 PM 
 */
public interface AppletPageComponentService {

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void saveFetch(List<TabAppletPageComponent> list);

    /**
     * 删除页面下的组件
     * @Title: deleteByPageId 
     * @Description:
      * @author guojuxing
     * @param pageId 
     * @return  void 
      */
    void deleteByPageId(Integer pageId);

    /**
     * 查询页面的组件详情
     * @Title: listByPageId 
     * @Description:
      * @author guojuxing
     * @param pageId 
     * @return  java.util.List<com.gic.enterprise.entity.TabAppletPageComponent> 
      */
    List<TabAppletPageComponent> listByPageId(Integer pageId);
}
