package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabAppletServiceConfig;
import com.gic.enterprise.qo.AppletServiceConfigQO;
import com.gic.member.config.api.dto.AppletsConfigSimpleOutputDTO;
import com.gic.member.config.api.dto.ServiceConfigSimpleOutputDTO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-27 17:04
 */
public interface AppletServiceConfigService {
    Page<TabAppletServiceConfig> listApplet(AppletServiceConfigQO appletServiceConfigQO);

    Page<TabAppletServiceConfig> listService(AppletServiceConfigQO appletServiceConfigQO);

    void syncApplet(List<AppletsConfigSimpleOutputDTO> responseResult, Integer enterpriseId);

    void syncServiceConfig(List<ServiceConfigSimpleOutputDTO> responseResult, Integer enterpriseId);

    void updateAppletTime(String appId);

    void updateServiceTime(String appId);

    void delAppletService(Integer appletServiceId);

    TabAppletServiceConfig getAppletService(Integer appletServiceId);
}
