package com.gic.enterprise.service;

import com.gic.enterprise.dto.AuditLogDTO;
import com.gic.enterprise.entity.TabAuditLog;
import com.gic.enterprise.qo.AuditLogQO;
import com.github.pagehelper.Page;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 16:35
 */
public interface AuditLogService {
    TabAuditLog getLastWaitAuditByApplyUser(Integer enterpriseId, Integer applyUserId, Integer projectItemId);

    void update(TabAuditLog auditLog);

    Integer save(AuditLogDTO auditLogDTO);

    TabAuditLog getAuditById(Integer auditLogId);

    void updateAudit(AuditLogDTO auditLogDTO);

    Page<TabAuditLog> listAuditLog(AuditLogQO auditLogQO);

    boolean hasProjectItemInUse(Integer projectItemId);
}
