package com.gic.enterprise.service;

import com.gic.enterprise.dto.LinkDTO;
import com.gic.enterprise.entity.TabLink;
import com.gic.enterprise.qo.LinkQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 14:22
 */
public interface LinkService {
    boolean validNameIsRepeat(String name, Integer linkId);

    Integer saveLinkType(String name, Integer type);

    int updateLinkType(Integer linkId, String name, Integer type);

//    Integer saveLinkMenu(Integer parentId, String name, Integer type);
//
//    int updateLinkMenu(Integer linkId, String name, Integer type);

    void updateLinkMenu(LinkDTO linkDTO);

    Integer saveLinkChildMenu(LinkDTO linkDTO);

    int updateLinkChildMenu(LinkDTO linkDTO);

    List<Integer> getAllLinkIdsByParentIds(List<Integer> linkIdList);

    int delLinkByIdList(List<Integer> allIdList);

    List<TabLink> listLinkType();

    Page<TabLink> listLinkMenu(LinkQO linkQO);

    List<TabLink> getLinkByParentIds(List<Integer> linkIdList);

    TabLink getById(Integer linkId);

    List<TabLink> listByGic(Integer enterpriseId, Integer parentId);

    List<TabLink> treeByGic(Integer enterpriseId, Integer objectType);
}
