package com.gic.enterprise.service;

import com.gic.enterprise.dto.PlatformBrandRefDTO;
import com.gic.enterprise.entity.TabPlatformBrandRef;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

public interface PlatformBrandRefService {
    Integer countByPlatformBrandId(Integer platformBrandId);

    Map<Integer,Integer> countByPlatformBrandIds(List<Integer> platformBrandIdList);

    Integer save(PlatformBrandRefDTO platformBrandRefDTO);

    Integer delRef(Integer enterpriseId, Long enterpriseBrandId);

    Integer delRef(Integer enterpriseId, List<Long> enterpriseBrandIds);

    Page<TabPlatformBrandRef> listByPlatformBrandRef(Integer platformBrandId);

    Integer updateRef(Integer fromBrandId, Integer toBrandId);

    Integer updateRefs(List<Integer> fromBrandIds, Integer platformBrandId);
}
