package com.gic.enterprise.service;

import com.gic.enterprise.dto.PlatformBrandDTO;
import com.gic.enterprise.entity.TabPlatformBrand;
import com.github.pagehelper.Page;

import java.util.List;

public interface PlatformBrandService {
    TabPlatformBrand getByBrandName(String platformBrandName);

    TabPlatformBrand getByBrandNameAndId(String platformBrandName, Integer platformBrandId);

    Integer save(PlatformBrandDTO platformBrandDTO);

    Integer update(PlatformBrandDTO platformBrandDTO);

    Integer delBrandById(Integer platformBrandId);

    Page<TabPlatformBrand> listPlatformBrand(PlatformBrandDTO platformBrandDTO, Integer pageNum, Integer pageSize);

    Integer delBrandByIds(List<Integer> fromBrandIds);

    TabPlatformBrand getById(Integer platformBrandId);
}
