package com.gic.enterprise.service;

import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.entity.TabProjectItem;
import com.gic.enterprise.qo.ProjectItemQO;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 10:10
 */
public interface ProjectItemService {
    TabProjectItem getFirstProjectItem(ProjectItemDTO projectItemDTO);

    Integer save(ProjectItemDTO projectItemDTO);

    Integer update(ProjectItemDTO projectItemDTO);

    boolean validProjectItemNameIsRepeat(String projectItemName, Integer projectId, Integer projectItemId);

    boolean validProjectItemCodeIsRepeat(String projectItemCode, Integer projectItemId);

    Integer del(Integer projectItemId);

    Page<TabProjectItem> listProjectItem(ProjectItemQO projectItemQO);

    Map<Integer,Integer> getProjectItemCountByProjectIds(List<Integer> projectIds, Integer useStatus);

    List<TabProjectItem> listAllProjectItem();

    TabProjectItem getById(Integer projectItemId);

    TabProjectItem getByProjectItemCode(String projectItemCode);

    void setProjectItemSort(Integer projectItemId, Integer seq);
}
