package com.gic.enterprise.service;

import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.entity.TabProject;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-17 9:45
 */
public interface ProjectService {
    Integer save(ProjectDTO projectDTO);

    Integer update(ProjectDTO projectDTO);

    Integer delProject(Integer projectId);

    Page<TabProject> listProject(ProjectDTO projectDTO, Integer pageNum, Integer pageSize);

    boolean validProjectNameIsRepeat(String projectName, Integer projectId);

    TabProject getById(Integer projectId);

    List<TabProject> listAllProject();

    TabProject getProjectByProjectItem(Integer projectItemId);

    void setProjectSort(Integer projectId, Integer seq);
}
