package com.gic.enterprise.service;

import com.gic.enterprise.dto.QrcodeScenesDTO;
import com.gic.enterprise.entity.TabQrcodeDownload;
import com.gic.enterprise.entity.TabQrcodeScenes;
import com.gic.enterprise.entity.TabQrcodeScenesClassify;
import com.gic.enterprise.entity.TabQrcodeScenesValue;
import com.github.pagehelper.Page;

import java.util.List;

public interface QrCodeService {
    int saveQrCodeClassify(TabQrcodeScenesClassify classify);

    List<TabQrcodeScenesClassify> listQrcodeClassify(Integer enterpriseId, String search);

    TabQrcodeScenesClassify getQrCodeScenesClassifyById(Integer classifyId);

    List<TabQrcodeScenesClassify> listQrcodeScenesClassifyByName(Integer enterpriseId, String name);

    int deleteQrcodeScenesClassify(Integer id);

    int saveQrCodeScenes(TabQrcodeScenes qrcodeScenes);

    List<TabQrcodeScenes> listQrcodeScenesByName(Integer enterpriseId, String name);

    Page<QrcodeScenesDTO> listQrCodeScenes(String search, Integer classifyId, Integer enterpriseId);

    TabQrcodeScenes getQrcodeScenesById(Integer scenesId);

    int updateQrCodeScenesStatus(Integer scenesId, int status);

    int saveQrcodeScenesValue(TabQrcodeScenesValue tabQrcodeScenesValue);

    Page<TabQrcodeScenesValue> listQrCodeScenesValue(Integer enterpriseId, Integer scenesId, String search);

    int deleteQrcodeScenesValue(Integer valueId);

    int saveQrcodeDownload(TabQrcodeDownload qrcodeDownload);

    TabQrcodeDownload getQrcodeDownload(Integer id);
}
