package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabBillingEnterpriseSmsPackageMapper;
import com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage;
import com.gic.enterprise.service.PackageService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("packageService")
public class PackageServiceImpl implements PackageService {
    @Autowired
    private TabBillingEnterpriseSmsPackageMapper tabBillingEnterpriseSmsPackageMapper;

    @Override
    public Page<TabBillingEnterpriseSmsPackage> pageEnterpriseSmsPackage(Integer enterpriseId, String search,
                                                                         Integer status, String startDate, String endDate,
                                                                         int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<TabBillingEnterpriseSmsPackage> list = this.tabBillingEnterpriseSmsPackageMapper.listEnterpriseSmsPackage
                (enterpriseId, status, search, startDate, endDate);
        return (Page<TabBillingEnterpriseSmsPackage>) list;
    }
}
