package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabPstnCallBillMapper;
import com.gic.enterprise.dto.PstnCallBillDTO;
import com.gic.enterprise.entity.TabPstnCallBill;
import com.gic.enterprise.service.PstnCallBillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-05 16:21
 */
@Service
public class PstnCallBillServiceImpl implements PstnCallBillService {

    @Autowired
    private TabPstnCallBillMapper tabPstnCallBillMapper;

    @Override
    public int save(PstnCallBillDTO pstnCallBillDTO) {
        TabPstnCallBill pstnCallBill = EntityUtil.changeEntityByJSON(TabPstnCallBill.class, pstnCallBillDTO);
        pstnCallBill.setCreateTime(new Date());
        return tabPstnCallBillMapper.insertSelective(pstnCallBill);
    }
}
