package com.gic.enterprise.utils.chart;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingRecordingStorageRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.List;
/**
 * 语音存储消费明细
 * @ClassName: BillingRecordingStorageRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:20 PM 
 */
@Component
public class BillingRecordingStorageRecord implements IFeeChart{
    @Autowired
    private BillingRecordingStorageRecordService billingRecordingStorageRecordService;
    private static BillingRecordingStorageRecord billingRecordingStorageRecord;
    @PostConstruct
    public void init() {
        billingRecordingStorageRecord = this;
    }
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return billingRecordingStorageRecord.billingRecordingStorageRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return billingRecordingStorageRecord.billingRecordingStorageRecordService.getFee(enterpriseId, dateType);
    }
}
