package com.gic.enterprise.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gic.enterprise.dto.AppletCardDTO;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 小程序会员卡列表
 * @ClassName: AppletCardRealtionVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/2/13 10:49 AM 
 */
public class AppletCardRealtionVO implements Serializable{
    private static final long serialVersionUID = -4411940910579516581L;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardConfigId;
    private String cardName;
    private Boolean mainCard;

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public AppletCardRealtionVO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public AppletCardRealtionVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    public Boolean getMainCard() {
        return mainCard;
    }

    public AppletCardRealtionVO setMainCard(Boolean mainCard) {
        this.mainCard = mainCard;
        return this;
    }
}
