package com.gic.enterprise.web.vo.data;

import java.io.Serializable;
/**
 * 实付配置
 * @ClassName: ActuallyPaidConfigVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/20 9:36 AM 
 */
public class ActuallyPaidConfigVO implements Serializable{
    private static final long serialVersionUID = -8440208273270132555L;

    /**
     * 1:会员业务（积分计算）2:会员业务（等级升降条件（如单笔消费满XX元、当天消费满XX元）3:基础业绩 4:会员消费 5:单效
     */
    private Integer classify;

    /**
     * 1:已配置 默认全关，走应付流程
     */
    private Integer configStatus;

    public Integer getClassify() {
        return classify;
    }

    public ActuallyPaidConfigVO setClassify(Integer classify) {
        this.classify = classify;
        return this;
    }

    public Integer getConfigStatus() {
        return configStatus;
    }

    public ActuallyPaidConfigVO setConfigStatus(Integer configStatus) {
        this.configStatus = configStatus;
        return this;
    }
}
