package com.gic.enterprise.web.vo.wm;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class WeimobCouponErLogVO implements Serializable{
    private static final long serialVersionUID = 5523945209221656292L;

    /**
     * 日志主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long couponErLogId;

    /**
     * 1 : 发送卡券  --- 2 ：核销卡券
     */
    private Integer sendType;

    /**
     * 企业id
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer wmMallStoreId;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long pid;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long mcuAreaId;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long mcuId;

    /**
     *
     */
    private Integer wid;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long gicCouponLogId;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long gicCouponTempId;

    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long wmCouponTempId;

    /**
     *
     */
    private String couponCode;

    /**
     *
     */
    private String wmParam;

    /**
     *
     */
    private String wmResponse;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Integer status;

    public Long getCouponErLogId() {
        return couponErLogId;
    }

    public WeimobCouponErLogVO setCouponErLogId(Long couponErLogId) {
        this.couponErLogId = couponErLogId;
        return this;
    }

    public Integer getSendType() {
        return sendType;
    }

    public WeimobCouponErLogVO setSendType(Integer sendType) {
        this.sendType = sendType;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WeimobCouponErLogVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WeimobCouponErLogVO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public Long getPid() {
        return pid;
    }

    public WeimobCouponErLogVO setPid(Long pid) {
        this.pid = pid;
        return this;
    }

    public Long getMcuAreaId() {
        return mcuAreaId;
    }

    public WeimobCouponErLogVO setMcuAreaId(Long mcuAreaId) {
        this.mcuAreaId = mcuAreaId;
        return this;
    }

    public Long getMcuId() {
        return mcuId;
    }

    public WeimobCouponErLogVO setMcuId(Long mcuId) {
        this.mcuId = mcuId;
        return this;
    }

    public Integer getWid() {
        return wid;
    }

    public WeimobCouponErLogVO setWid(Integer wid) {
        this.wid = wid;
        return this;
    }

    public Long getGicCouponLogId() {
        return gicCouponLogId;
    }

    public WeimobCouponErLogVO setGicCouponLogId(Long gicCouponLogId) {
        this.gicCouponLogId = gicCouponLogId;
        return this;
    }

    public Long getGicCouponTempId() {
        return gicCouponTempId;
    }

    public WeimobCouponErLogVO setGicCouponTempId(Long gicCouponTempId) {
        this.gicCouponTempId = gicCouponTempId;
        return this;
    }

    public Long getWmCouponTempId() {
        return wmCouponTempId;
    }

    public WeimobCouponErLogVO setWmCouponTempId(Long wmCouponTempId) {
        this.wmCouponTempId = wmCouponTempId;
        return this;
    }

    public String getCouponCode() {
        return couponCode;
    }

    public WeimobCouponErLogVO setCouponCode(String couponCode) {
        this.couponCode = couponCode;
        return this;
    }

    public String getWmParam() {
        return wmParam;
    }

    public WeimobCouponErLogVO setWmParam(String wmParam) {
        this.wmParam = wmParam;
        return this;
    }

    public String getWmResponse() {
        return wmResponse;
    }

    public WeimobCouponErLogVO setWmResponse(String wmResponse) {
        this.wmResponse = wmResponse;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WeimobCouponErLogVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WeimobCouponErLogVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WeimobCouponErLogVO setStatus(Integer status) {
        this.status = status;
        return this;
    }
}
