package com.gic.operation.web.vo;

import java.io.Serializable;
/**
 * 操作项列表
 * @ClassName: MenuOperationItemListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/24 4:33 PM 
 */
public class MenuOperationItemListVO implements Serializable{
    private static final long serialVersionUID = -4320973747696937334L;

    private Integer menuId;

    private String menuName;

    /**
     * 父级code
     */
    private String parentCode;

    /**
     * 应用版本名称
     */
    private String menuVersionName;

    private String menuCode;
    /**
     * 前端使用：二级域名，也就是项目的部署路径，比如门店项目部署在/damo-store下面，那么就是/damo-store
     */
    private String projectUrlForWeb;

    /**
     * 操作项 ，仅超管可用 1:是 0:否
     */
    private Integer adminOnlySign;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public String getMenuVersionName() {
        return menuVersionName;
    }

    public void setMenuVersionName(String menuVersionName) {
        this.menuVersionName = menuVersionName;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public void setMenuCode(String menuCode) {
        this.menuCode = menuCode;
    }

    public String getProjectUrlForWeb() {
        return projectUrlForWeb;
    }

    public void setProjectUrlForWeb(String projectUrlForWeb) {
        this.projectUrlForWeb = projectUrlForWeb;
    }

    public Integer getAdminOnlySign() {
        return adminOnlySign;
    }

    public void setAdminOnlySign(Integer adminOnlySign) {
        this.adminOnlySign = adminOnlySign;
    }
}
