package com.gic.operation.web.vo.configrule;

import java.io.Serializable;
public class RuleClassifySceneVO implements Serializable{
    private static final long serialVersionUID = 2503067207037834122L;

    /**
     *
     */
    private Integer ruleId;

    /**
     * 规则/分类/场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 分类/场景描述
     */
    private String ruleDesc;

    /**
     * 分类/场景备注
     */
    private String remark;

    /**
     * 场景手动输入名称
     */
    private String marketName;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleClassifySceneVO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleClassifySceneVO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public RuleClassifySceneVO setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public RuleClassifySceneVO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getMarketScene() {
        return marketScene;
    }

    public RuleClassifySceneVO setMarketScene(String marketScene) {
        this.marketScene = marketScene;
        return this;
    }

    public Integer getMarketObject() {
        return marketObject;
    }

    public RuleClassifySceneVO setMarketObject(Integer marketObject) {
        this.marketObject = marketObject;
        return this;
    }

    public String getMarketName() {
        return marketName;
    }

    public RuleClassifySceneVO setMarketName(String marketName) {
        this.marketName = marketName;
        return this;
    }
}
