package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class EnterpriseInfo implements Serializable{
    private static final long serialVersionUID = -3884124549083437916L;

    private String enterpriseName;

    private String companyName;

    private String logo;

    private String areaId;

    private String address;

    /**
     * 状态；1有效； 0无效；2停用
     */
    private Integer serviceStatus;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    /**
     * 基础服务ID
     */
    private String versionCode;

    /**
     * 版本名称
     */
    private String versionName;

    private String serviceName;

    /**
     * 商品资源 1:有 0:无
     */
    private Integer goodsResource;

    private List<EnterpriseResourceRelVO> resourceList;


    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public Integer getGoodsResource() {
        return goodsResource;
    }

    public void setGoodsResource(Integer goodsResource) {
        this.goodsResource = goodsResource;
    }

    public List<EnterpriseResourceRelVO> getResourceList() {
        return resourceList;
    }

    public void setResourceList(List<EnterpriseResourceRelVO> resourceList) {
        this.resourceList = resourceList;
    }
}
