package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 转账审批详情个-拓展包信息
 * @ClassName: ExpandPackageVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 3:18 PM 
 */
public class ExpandPackageVO implements Serializable{

    private static final long serialVersionUID = -8124779640729823462L;
    /**
     * 名称
     */
    private String serveName;

    /**
     * 订单原价
     */
    private BigDecimal totalAmount;


    // 购买数量
    private Integer serveQuantity;

    /**
     * 图片
     */
    private String imageUrl;

    /**
     *
     */
    private String serveInfo;

    /**
     * 支付详情json{100:现金 ,101:xxx}
     */
    private String payDetail;


    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getServeQuantity() {
        return serveQuantity;
    }

    public void setServeQuantity(Integer serveQuantity) {
        this.serveQuantity = serveQuantity;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }
}
