package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 转账审批-license信息
 * @ClassName: LicenseVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 3:11 PM 
 */
public class LicenseVO implements Serializable{

    private static final long serialVersionUID = 1025567901235601789L;
    /**
     * 名称
     */
    private String serveName;

    /**
     *
     */
    private String serveInfo;

    /**
     * 订单原价
     */
    private BigDecimal totalAmount;


    // 购买数量
    private Integer serveQuantity;

    private String licenseUnit;

    /**
     * 应用id
     */
    private Long applicationId;

    /**
     * 支付详情json{100:现金 ,101:xxx}
     */
    private String payDetail;

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getServeQuantity() {
        return serveQuantity;
    }

    public void setServeQuantity(Integer serveQuantity) {
        this.serveQuantity = serveQuantity;
    }

    public String getLicenseUnit() {
        return licenseUnit;
    }

    public void setLicenseUnit(String licenseUnit) {
        this.licenseUnit = licenseUnit;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }
}
